Subject: Re: [PATCH iproute2-next v2] ip-xfrm: Add support for OUTPUT_MARK

From: Stephen Hemminger <[email-masked]>
Date: Tue, 12 Jun 2018 21:24:01 -0700

On Wed, 13 Jun 2018 12:14:53 +0900
Lorenzo Colitti <[email-masked]> wrote:

> On Wed, Jun 13, 2018 at 3:48 AM Subash Abhinov Kasiviswanathan
> <[email-masked]> wrote:
> >
> > src 192.168.1.1 dst 192.168.1.2
> >         proto esp spi 0x00004321 reqid 0 mode tunnel
> >         replay-window 0 flag af-unspec
> >         mark 0x10000/0x3ffff
> >         output-mark 0x20000  
> 
> Nit: I don't know what guarantees we provide (if any) that the output
> format of "ip xfrm state" does not change except to add new lines at
> the end. Personally, I feel that an app or script that depends on
> "auth-trunc" (or anything else, really) being on the line immediately
> after "mark" is brittle and should be fixed. This is particularly true
> since in general between the mark and the encryption there might be an
> auth-trunc line, or an auth line, or neither. As such, adding this
> line here seems OK to me.

Scripts should use json mode. If it ever gets added to xfrm output (hint).